%global pkgname pagure-exporter
%global srcname pagure_exporter
%global desc Simple exporter tool that helps migrate repository files, data assets and issue tickets from projects on Pagure to GitLab

Name:           %{pkgname}
Version:        0.1.3
Release:        1.20240506063108331676.pr139.21.gce6f666%{?dist}
Summary:        %{desc}

License:        GPL-3.0-or-later
Url:            https://github.com/gridhead/%{pkgname}
Source0:        pagure-exporter-0.1.3.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
%{desc}

%prep
%autosetup -n pagure-exporter-0.1.3

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog

* Mon May 6 2024 Packit <hello@packit.dev> - 0.1.3-1.20240506063108331676.pr139.21.gce6f666
- Add testing support in Python 3.12 environment (Akashdeep)
- Fix UP031 warnings that suddenly started appearing (Akashdeep)
- Update dependency ruff to ^0.0.285 || ^0.1.0 || ^0.2.0 || ^0.3.0 || ^0.4.0 (renovate[bot])
- Automated dependency updates (renovate[bot])
- Automated dependency updates (renovate[bot])
- Automated dependency updates (renovate[bot])
- Update dependency pytest-cov to v5 (renovate[bot])
- Regenerate recordings to comply with the updated version (Akashdeep)
- Update vcrpy to v6 manually withe lockfile (Akashdeep)
- Automated dependency updates (renovate[bot])
- Automated dependency updates (renovate[bot])
- Add the `--series` option to the README.md file (Akashdeep Dhar)
- Automated dependency updates (renovate[bot])
- Account URL now refers to Fedora Accounts (Mehmet Baran)

* Mon Dec 11 2023 Akashdeep Dhar <t0xic0der@fedoraproject.org> - 0.1.2-1
- Expanded the documentation to explain branch protection
- Censor the sensitive information from STDOUT
- Add support for automatic dependency updates using Renovate
- Circumvent the rate limits on the GitLab API requests
- Added support for migrating issue ticket confidentiality
- Added advanced HTTP requests testing support using VCR.py
- Added configuration to avoid false security flagging

* Thu Oct 19 2023 Akashdeep Dhar <t0xic0der@fedoraproject.org> - 0.1.1-1
- Reworked the documentation sections with proper updates
- Initialized packaging workflow with RPM specfile for the project codebase
- Stepped down version of the runtime dependency requests from ^2.31.0 to ^2.28.0
- Stepped down version of the runtime dependency GitPython from ^3.1.37 to ^3.1.0
- Removed unnecessary runtime dependency tqdm from the list

* Tue Oct 17 2023 Akashdeep Dhar <t0xic0der@fedoraproject.org> - 0.1.0-1
- Created the initial release of the project
- Added support for transferring repositories files from projects on Pagure to GitLab
- Added support for transferring issue tickets from projects on Pagure to GitLab
- Added support for inbuilt logging library for better compatibility with journalling
- Added options for filtering by branch names when transferring repository files
- Added options for filtering by issue ticket status when transferring issue tickets
- Added options for filtering by issue ticket identity selection when transferring issue tickets
- Added options for filtering by issue ticket identity ranges when transferring issue tickets
- Added options for migrating current states when transferring issue tickets
- Added options for migrating tagged labels when transferring issue tickets
- Added options for migrating created comments when transferring issue tickets
- Ensured excellent quality of the codebase with 100% coverage of functional code
- Included support for continuous integration using GitHub Actions and Pre-Commit CI
